getNetworkAclDetail

Prev Next

Available in VPC

Get the details of a network ACL by specifying the network ACL number.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getNetworkAclDetail
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to query the network ACL details
networkAclNo String Required Query the details with the network ACL number.
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getNetworkAclDetail
?regionCode=KR
&networkAclNo=***31' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NetworkAclList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getNetworkAclDetailResponse>
  <requestId>284ac9b9-3908-4f11-82a4-71c20b63ff1e</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <networkAclList>
    <networkAcl>
      <networkAclNo>***31</networkAclNo>
      <networkAclName>test-***</networkAclName>
      <vpcNo>***04</vpcNo>
      <networkAclStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </networkAclStatus>
      <networkAclDescription></networkAclDescription>
      <createDate>2020-07-31T15:13:30+0900</createDate>
      <isDefault>false</isDefault>
    </networkAcl>
  </networkAclList>
</getNetworkAclDetailResponse>